Table of Contents

Class: DummySecurityOptions | Twisted-0.19.0/twisted/spread/jelly.py
--- | ---
DummySecurityOptions() -> insecure security options Dummy security options -- this class will allow anything.
Methods |
--- | ---
isClassAllowed isModuleAllowed isTypeAllowed
| isClassAllowed
    isClassAllowed ( self,  klass )
DummySecurityOptions.isClassAllowed(class) -> boolean Assumes the module has already been allowed. Returns 1 if the given class is allowed, 0 otherwise.
| isModuleAllowed
    isModuleAllowed ( self,  moduleName )
DummySecurityOptions.isModuleAllowed(moduleName) -> boolean returns 1 if a module by that name is allowed, 0 otherwise
| isTypeAllowed
    isTypeAllowed ( self,  typeName )
DummySecurityOptions.isTypeAllowed(typeName) -> boolean Returns 1 if the given type is allowed, 0 otherwise.

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:20 2002 by HappyDoc version 2.0